//------------------------------------------------------------------------------------
// irr::scene::IParticleAnimatedMeshSceneNodeEmitter wrappers
//------------------------------------------------------------------------------------

extern "C" 
{

	void IrrScene_IParticleAnimatedMeshSceneNodeEmitter_setAnimatedMeshSceneNode(IParticleAnimatedMeshSceneNodeEmitter* pe, IAnimatedMeshSceneNode* node )
	{
		if (pe) {
			pe->setAnimatedMeshSceneNode(node);
		}
	}

	void IrrScene_IParticleAnimatedMeshSceneNodeEmitter_setUseNormalDirection(IParticleAnimatedMeshSceneNodeEmitter* pe, bool useNormalDirection = true )
	{
		if (pe) {
			pe->setUseNormalDirection(useNormalDirection);
		}
	}

	void IrrScene_IParticleAnimatedMeshSceneNodeEmitter_setNormalDirectionModifier(IParticleAnimatedMeshSceneNodeEmitter* pe, f32 normalDirectionModifier )
	{
		if (pe) {
			pe->setNormalDirectionModifier(normalDirectionModifier);
		}
	}

	void IrrScene_IParticleAnimatedMeshSceneNodeEmitter_setEveryMeshVertex(IParticleAnimatedMeshSceneNodeEmitter* pe, bool everyMeshVertex = true )
	{
		if (pe) {
			pe->setEveryMeshVertex(everyMeshVertex);
		}
	}

	// do not delete
	const IAnimatedMeshSceneNode* IrrScene_IParticleAnimatedMeshSceneNodeEmitter_getAnimatedMeshSceneNode(IParticleAnimatedMeshSceneNodeEmitter* pe)
	{
		if (pe) {
			return pe->getAnimatedMeshSceneNode();
		}
	}

	bool IrrScene_IParticleAnimatedMeshSceneNodeEmitter_isUsingNormalDirection(IParticleAnimatedMeshSceneNodeEmitter* pe)
	{
		if (pe) {
			return pe->isUsingNormalDirection();
		} else return false;
	}

	f32 IrrScene_IParticleAnimatedMeshSceneNodeEmitter_getNormalDirectionModifier(IParticleAnimatedMeshSceneNodeEmitter* pe)
	{
		if (pe) {
			return pe->getNormalDirectionModifier();
		} return 0.0;
	}

	bool IrrScene_IParticleAnimatedMeshSceneNodeEmitter_getEveryMeshVertex(IParticleAnimatedMeshSceneNodeEmitter* pe)
	{
		if (pe) {
			return pe->getEveryMeshVertex();
		}
	}

}

